main()
{
	register  char  *tty;
	int	ln;
	struct{
		char	lobyte;
		char	hibyte;
	};
	tty = "lnXX";
	ln = lnxx(0);
	if(ln.lobyte == 'x' && ln.hibyte == 'x'){
		write(1,"nonexistent line\n",17);
		exit(-1);
	}
	tty[2] = ln.lobyte;
	tty[3] = ln.hibyte;
	for(ln=0;tty[ln];ln++);
	tty[ln++] = '\n';
	write(1,tty,ln);
}
